Skip to main content
GET
/
inboxes
/
{inboxId}
/
threads
JavaScript
import Nuntly from '@nuntly/sdk';

const client = new Nuntly({
  apiKey: process.env['NUNTLY_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const thread of client.inboxes.threads.list('ibx_01kabn43yqyxn2bx4ve84mczd3')) {
  console.log(thread.id);
}
{
  "data": [
    {
      "id": "<string>",
      "createdAt": "<string>",
      "domainId": "<string>",
      "domainName": "<string>",
      "inboxId": "<string>",
      "subject": "<string>",
      "lastMessageAt": "<string>",
      "messageCount": 123,
      "isRead": true,
      "isSpam": true,
      "agentId": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication. Allowed headers Authorization: Bearer <API_KEY>

Path Parameters

inboxId
string
required

The id of the inbox

Example:

"ibx_01kabn43yqyxn2bx4ve84mczd3"

Query Parameters

cursor
string

The cursor to retrieve the next page of results

limit
number
default:30

The maximum number of results to return

Required range: 1 <= x <= 30
isRead
boolean

Filter by read status.

isSpam
boolean

Filter by spam status.

Response

Successful response.

data
object[]
required
nextCursor
string